Subject: [webfinger] FW: New Version Notification - draft-ietf-appsawg-webfinger-13.txt

From: "Paul E. Jones" <[email-masked]>
Date: Tue, 16 Apr 2013 22:55:43 -0400

FYI

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, April 16, 2013 10:54 PM
> To: [email-masked]; draft-ietf-appsawg-
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: New Version Notification - draft-ietf-appsawg-webfinger-13.txt
> 
> 
> A new version (-13) has been submitted for draft-ietf-appsawg-webfinger:
> http://www.ietf.org/internet-drafts/draft-ietf-appsawg-webfinger-13.txt
> 
> Sub state has been changed to AD Followup from Revised ID Needed
> 
> 
> The IETF datatracker page for this Internet-Draft is:
> https://datatracker.ietf.org/doc/draft-ietf-appsawg-webfinger/
> 
> Diff from previous version:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-appsawg-webfinger-13
> 
> IETF Secretariat.

---

From: Melvin Carvalho <[email-masked]>
Date: Wed, 17 Apr 2013 10:31:36 +0200

> > http://www.ietf.org/internet-drafts/draft-ietf-appsawg-webfinger-13.txt

Hi Paul, I just noticed something odd.

In most EAV description languages, the subject term is optional.  The is
true, for example, in XRD and RDF.

I've noticed in section 4.4.1.

   The "subject" member MUST be present in the JRD.

This would make JRD as a serialization inconsistent, and *perhaps*, in some
cases not 100% interoperable with others.

I was just wondering if there was a conscious decision in making this
change when moving from XRD -> JRD or if it was unintended.

> _______________________________________________
> webfinger mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webfinger
>

---

From: "Paul E. Jones" <[email-masked]>
Date: Wed, 17 Apr 2013 21:51:13 -0400

Melvin,

That's an interesting observation.  I was apparently mistaken that it was
required for LRDD resources, but looking back at the older specifications,
that does not seem to be the case.

Given that every example I found related to LRDD included a "subject", I
think the intent was that it should be required.  The only explicit
exception in the text I can find where "subject" "should not" be present is
in RFC 6415 with respect to host host-meta resource itself.  No comment is
made with respect to LRDD.

So, we have three options:

1)      Mandate its presence (current text)

2)      Say that it SHOULD be present in the JRD

3)      Say it is OPTIONAL in the JRD

What is the preference here?

Paul

From: Melvin Carvalho [mailto:[email-masked]] 
Sent: Wednesday, April 17, 2013 4:32 AM
To: Paul E. Jones
Cc: webfinger
Subject: Re: [webfinger] FW: New Version Notification -
draft-ietf-appsawg-webfinger-13.txt

FYI

I was just wondering if there was a conscious decision in making this change
when moving from XRD -> JRD or if it was unintended.

---

From: Melvin Carvalho <[email-masked]>
Date: Thu, 18 Apr 2013 09:56:53 +0200

On 18 April 2013 03:51, Paul E. Jones <[email-masked]> wrote:

> Melvin,****
>
> ** **
>
> That’s an interesting observation.  I was apparently mistaken that it was
> that does not seem to be the case.****
>
> ** **
>
> Given that every example I found related to LRDD included a “subject”, I
> exception in the text I can find where “subject” “should not” be present is
> made with respect to LRDD.****
>
> ** **
>
> So, we have three options:****
>
> **1)      **Mandate its presence (current text)****
>
> **2)      **Say that it SHOULD be present in the JRD
>
+1 SHOULD.  This is similar text to XRD

> ****
>
> **3)      **Say it is OPTIONAL in the JRD****
>
> ** **
>
> What is the preference here?****
>
> ** **
>
> Paul****
>
> ** **
>
> *From:* Melvin Carvalho [mailto:[email-masked]]
> *Sent:* Wednesday, April 17, 2013 4:32 AM
> *To:* Paul E. Jones
> *Cc:* webfinger
> *Subject:* Re: [webfinger] FW: New Version Notification -
> draft-ietf-appsawg-webfinger-13.txt****
>
> ** **
>
> ** **
>
> ** **
>
> On 17 April 2013 04:55, Paul E. Jones <[email-masked]> wrote:****
>
> FYI
>
> > http://www.ietf.org/internet-drafts/draft-ietf-appsawg-webfinger-13.txt*
> ***
>
> ** **
>
> Hi Paul, I just noticed something odd.****
>
> true, for example, in XRD and RDF.****
>
> I've noticed in section 4.4.1.****
>
>    The "subject" member MUST be present in the JRD.****
>
> ** **
>
> This would make JRD as a serialization inconsistent, and *perhaps*, in
> some cases not 100% interoperable with others.****
>
> change when moving from XRD -> JRD or if it was unintended.****
>
> ** **
>
>  ****
>
> >
> https://www.ietf.org/mailman/listinfo/webfinger****
>
> ** **
>